Not the answer you need?
Register and ask your own question!

can not use innobackupex

doanminhchaudoanminhchau EntrantLegacy User Role Beginner
Hi everyone,
I'm using xtrabackup 2.2.9 and mysql 5.1.73.
I tried to used innobackupex command:
innobackupex --ibbackup=xtrabackup --user=root --password=abc /home/backupInno/base/
and I got this error: I tried to read some advice but nothing help me fix this bug. Please help me.
innobackupex: got a fatal error with the following stacktrace: at /usr/bin/innobackupex line 4754
main::check_server_version() called at /usr/bin/innobackupex line 1541
innobackupex: Error: Built-in InnoDB in MySQL 5.1 is not supported in this release. You can either use Percona XtraBackup 2.0, or upgrade to InnoDB plugin.

Comments

  • jriverajrivera Percona Support Engineer Percona Staff Role
    As suggested by innobackupex, try to use Percona XtraBackup 2.0 and try running the backup again.
  • doanminhchaudoanminhchau Entrant Legacy User Role Beginner
    hi jrivera,
    Thanks for your advice.
    I did it.
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.